series-upgrade: "libvirt-bin is not running" status message

Bug #1839495 reported by Alex Kavanagh on 2019-08-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack nova-compute charm
High
David Ames

Bug Description

When upgrading from trusty -> xenial or xenial -> bionic doing a 'series upgrade', the nova-compute charm fails right at the end of the process with a 'blocked' status message and "libvirt-bin" is not running.

The workaround is to run

    systemctl start libvirtd
    systemctl start nova-compute

on the affected unit(s).

David Ames (thedac) on 2019-08-08
Changed in charm-nova-compute:
status: New → Triaged
importance: Undecided → High
assignee: nobody → David Ames (thedac)
milestone: none → 19.07
David Ames (thedac) wrote :

For xenail-bionic it is libvirtd:

On reboot libvirtd is failing to start:

Aug 8 16:46:23 juju-b96f6f-nova-5 systemd[1]: Starting Suspend/Resume Running libvirt Guests...
Aug 8 16:46:23 juju-b96f6f-nova-5 systemd[1]: Started Suspend/Resume Running libvirt Guests.
Aug 8 16:46:23 juju-b96f6f-nova-5 libvirtd[1812]: 2019-08-08 16:46:23.734+0000: 1908: info : libvirt version: 4.0.0, package: 1ubuntu8.11~cloud0 (Openstack Ubuntu Testing Bot <email address hidden> Tue, 18 Jun 2019 04:25:30 +0000)
Aug 8 16:46:23 juju-b96f6f-nova-5 libvirtd[1812]: 2019-08-08 16:46:23.734+0000: 1908: info : hostname: juju-b96f6f-nova-5
Aug 8 16:46:23 juju-b96f6f-nova-5 libvirtd[1812]: 2019-08-08 16:46:23.734+0000: 1908: warning : virQEMUCapsInit:1217 : Failed to get host CPU cache info
Aug 8 16:46:23 juju-b96f6f-nova-5 libvirtd[1812]: 2019-08-08 16:46:23.879+0000: 1908: warning : virLXCDriverCapsInit:85 : Failed to get host CPU cache info
Aug 8 16:46:23 juju-b96f6f-nova-5 libvirtd[1812]: 2019-08-08 16:46:23.879+0000: 1908: warning : umlCapsInit:73 : Failed to get host CPU cache info

David Ames (thedac) wrote :

This commit is what broke the series-upgrade:

Working on a fix.

https://github.com/openstack/charm-nova-compute/commit/ceab1e91dc2e3948f6ba7c121c1801ad1641643c

Fix proposed to branch: master
Review: https://review.opendev.org/675463

Changed in charm-nova-compute:
status: Triaged → In Progress

Reviewed: https://review.opendev.org/675463
Committed: https://git.openstack.org/cgit/openstack/charm-nova-compute/commit/?id=6a1e3a799e1c1d4433c15882c7b7158463452fd3
Submitter: Zuul
Branch: master

commit 6a1e3a799e1c1d4433c15882c7b7158463452fd3
Author: David Ames <email address hidden>
Date: Thu Aug 8 20:49:12 2019 +0000

    Start libvirt in post-series-upgrade

    A recent change (commit ceab1e91dc2e3948f6ba7c121c1801ad1641643c)
    removed libvirt from the pause/resume list of services. This affected
    series upgrade. Libvirt stayed down and did not start back up on resume.

    This change checks the hook being executed and if it is
    post-series-upgrade it includes libvirt as a service to start on resume.

    Closes-Bug: #1839495
    Change-Id: Ibfa24b678c1077b441464da8c38114ce23d14963

Changed in charm-nova-compute:
status: In Progress → Fix Committed
David Ames (thedac) on 2019-08-12
Changed in charm-nova-compute:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers